Page 1 of 1

[SOLVED] Is it worth installing 3.0.3.6 instead of 3.0.3.5 for a new/first store installation?

Posted: Wed Jul 29, 2020 2:31 am
by jrr
I've been working with my data conversion folks over at LitExtension (they have been very supportive, thanks folks!) trying to bring my oscMax store into OC and have been working with 3.0.3.5 since it came out - assuming that if I was running with the latest release it would give me a fair time to learn about making changes to OC before I would likely need to upgrade again to a future release.

Now I see that 3.0.3.6 has come out and the release notes say that SASS is fixed (was it broken in 3.0.3.5?) and a few other things, but after sinking a week or so into figuring out how to move my old store into 3.0.3.5 I now have to ask myself if I should go to 3.0.3.6 and then find it has bugs of its own (and I know all software has bugs)... Of course the changlog file in the zip is of little use. I assume one must hunt through GitHub to work this all out.

An announcement would be nice (or did I miss it?) about new versions of OC and why they matter to new store owners - or not, or not so much...

I see the announcements are here, along with the list of OC versions.... https://www.opencart.com/index.php?rout ... ad/history- opps (on my part)!

Re: Is it worth installing 3.0.3.6 instead of 3.0.3.5 for a new/first store installation?

Posted: Wed Jul 29, 2020 5:38 am
by IP_CAM
Well, don't take it personal, but beeing around OC for quite a while already,
you should know, how the system works. You Fellows always seem to compare
OC with Microsoft, employing masses of DEV's, to test new Versions first. But
that's not the Case, when it comes to OC, YOU USERS are the OC Testers, that's,
why it comes for free .... :laugh:

So, better don't expect free heaven, but either play your Role as free Tester, or
then, wait, until a Version exists again, for some time already, known to belong
to the proven working editions already. That would be Business-like thinking,
everything else is Forever-OC-Newbie-Dreaming :choke:

Sorry for the harsh words, but not even Mircrosoft is able, to release error-free
Code, every one of their FIRST is still full of Bugs. So better be reasonable, and
accept it, as it comes. It's much better for your Nerves too ... :D

Ernie

Re: Is it worth installing 3.0.3.6 instead of 3.0.3.5 for a new/first store installation?

Posted: Wed Jul 29, 2020 12:56 pm
by jrr
Hi Ernie,
Yes, I kinda thought it was like that - what I was mostly complaining about was the lack of information presented with the new versions, unlike back in the days of 3.0.3.2 and before - where there was an announcement about the newer version and a short list of what was improved in the forum Announcement section.

I know we are on the bleeding edge...

Thanks for confirming that!

Re: [SOLVED] Is it worth installing 3.0.3.6 instead of 3.0.3.5 for a new/first store installation?

Posted: Fri Jul 31, 2020 8:45 pm
by Elevate
Yes, use v3.0.3.6 instead of 3.0.3.5

I begin to wonder if Ernie has even installed any of the 3.x versions or he just goes off of other complaints that he reads about around the forum.